Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw.java
Class FIFOEngine

    java.lang.Object
      rdlc.sw.Engine_Standard
          rdlc.sw.java.FIFOEngine

All Implemented Interfaces:
  Engine

    public class FIFOEngine

extends Engine_Standard

This class generates FIFO engines. An engine in a software RDL emulation is tantamount to a user level thread scheduler, this this is a FIFO scheduler.

Version:
  $Revision: 1.13 $
Author:
  Greg Gibeling

Field Summary

Fields inherited from class rdlc.sw.Engine_Standard
`accurateSim, errorLog, newExpression`

Constructor Summary
`FIFOEngine(java.lang.Boolean _accurateSim, Log _errorLog)` Simple constructor.

Method Summary
`LibraryClass` | `getLibClass(Library library, ErrorLocation errorLocation)` Simple accessor.

Methods inherited from class rdlc.sw.Engine_Standard
`generate, getNew`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FIFOEngine

    public FIFOEngine(java.lang.Boolean _accurateSim,
                      Log _errorLog)

  Simple constructor.

Method Detail

### getLibClass

    public LibraryClass getLibClass(Library library,
                                    ErrorLocation errorLocation)

  Description copied from class: `Engine_Standard`
  Simple accessor.

  Specified by:
    `getLibClass` in class `Engine_Standard`
  Parameters:
    `library` - The libary from which to load the pre-implemented link class.
    `errorLocation` - Where to report any errors as coming from.
  Returns:
    The pre-implemented link class from the library.
  See Also:
    `Engine_Standard.getLibClass(Library, ErrorLocation)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD